Bug 804305 - Scanner not listed in device list
Scanner not listed in device list
Product: Fedora
Classification: Fedora
Component: gnome-color-manager (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-17 12:39 EDT by Michael Monreal
Modified: 2012-12-02 03:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-02 03:55:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2012-03-17 12:39:41 EDT
After being unable to calibrate my Canoscan 110 in Fedora 16 (see bug 804271) I tried the Fedora 17 Live CD to see if the problem is already fixed there. However, the scanner does not even show up in the device list (System Settings->Color) - this at least was no problem in Fedora 16.

Other apps on the F17 Live system (simple-scan, scanimage) do not seem to have a problem and work fine, so this does not seem to be a problem with the Sane driver.

I would like to try the gcm-calibrate CLI tool but I am not sure how to find the correct device string (-d ...)
Comment 1 Richard Hughes 2012-03-19 05:59:41 EDT
What version of colord have you got installed?
Comment 2 Michael Monreal 2012-03-19 08:18:38 EDT
First I tested with the version in F17 Alpha (0.1.16-4) but I also tested with the latest 0.1.18-1 in combination with a newer control-center (3.3.91-1). Between tests, I logged out and back in. The only device listed still is my monitor.

After updating to 0.1.18-1 and logging back in I see a colord-sane process in addition to colord. When starting colord -v manually I can see events when plugging in/out the scanner. gcm-calibrate -d <device name given in the log> does not work however.

I cannot update to gnome-color-manager 3.3.91-1 because it seems to depend on libcogl.so.8 while my system has libcogl.so.9.
Comment 3 Michael Monreal 2012-04-09 06:36:55 EDT
On my F16 desktop I now see a similar problem: with gnome-color-manager-3.2.3-1.fc16.x86_64 and colord-0.1.18-2.fc16.x86_64, the scanner does *only* show up in the list if it is plugged in while the system is booting. If I unplug in and restart the color management app, it still shows up.
Comment 4 Michael Monreal 2012-12-02 03:55:27 EST
And it finally works in Fedora 18 beta...

Note You need to log in before you can comment on or make changes to this bug.